#ifndef H_GAME
#define H_GAME

#include <queue>

const int game_w=8;
const int game_h=15;

enum eTile { blank=0, redvirus, bluevirus, yellowvirus, red, blue, yellow };
enum eOrientation { Hor=0, Vert };

struct CGame
{
  void Init();
  void GetNextPiece();
  void CheckForLines();
  //the high byte tells whether its attached and whether its in a line
  //the low byte gives which images to draw
  short gameboard[game_w][game_h];
  char nextpiece[2];
  char currentpiece[2];
  int current_x, current_y;
  eOrientation orientation;
  bool fallingblocks;
  int score;
  int virus_count;
  bool lost;
  std::queue<char> attacks;
};

extern CGame gGame;

#endif