#include <d3d8.h>
#include <d3dx8.h>

// Direct3D objects
extern LPDIRECT3D8 g_pD3D;
extern LPDIRECT3DDEVICE8 g_pD3DDevice;

enum _CameraType { FPS=0,Chase,WorldRotate,Farout };
extern _CameraType CameraType;


HRESULT InitD3D(LPDIRECT3D8 *ppD3D, LPDIRECT3DDEVICE8 *ppD3DDevice, HWND hWnd, 
                BOOL ForceWindowed, BOOL MultiThreaded);

void ShutdownD3D();

void BlitRect(LPDIRECT3DTEXTURE8 lpSrc,
              float left, float top,
              float right, float bottom,
              D3DCOLOR col,float z);